%define section free

Summary:        Tag Library Documentation Generator
Name:           tlddoc
Version:        1.2
Release:        1jpp
Epoch:          0
License:        BSD
URL:            https://taglibrarydoc.dev.java.net/
Group:          Development/Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        tlddoc-1.2-src.tar.gz
#cvs -d :pserver:[user]@cvs.dev.java.net:/cvs login
#cvs -d :pserver:[user]@cvs.dev.java.net:/cvs export -r TLDDOC-1_2 taglibrarydoc

Patch0:         tlddoc-1.2-build_xml.patch
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  javacc
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tag Library Documentation Generator is a utility for automatically 
generating javadoc-style documentation for JavaServer PagesTM  
(JSP TM) Technology Tag Libraries. It accepts a set of tag libraries 
as input, and generates a set of HTML files as output. It can also be 
used to generate tag library documenation for JavaServer Faces UI
components.
Included in the output is a full description of each defined tag 
library, the tags contained within those tag libraries, and how to 
use those tags. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       xpp2 = 0:2.1.10

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
# don't remove all binary libs - test files
#for j in $(find . -name "*.jar"); do
#	mv $j $j.no
#done

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-nodeps javacc"

cd taglibrarydoc
ant -DJAVACC_HOME=%{_javadir} test

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p taglibrarydoc/dist/taglibrarydoc-1_2/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr taglibrarydoc/build/javadoc/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr taglibrarydoc/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p taglibrarydoc/license.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/license.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.2-1jpp
- First JPackage build
